# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/regulator/qcom,usb-vbus-regulator.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: The Qualcomm PMIC VBUS output regulator driver

maintainers:
  - Wesley Cheng <wcheng@codeaurora.org>

description: |
  This regulator driver controls the VBUS output by the Qualcomm PMIC.  This
  regulator will be enabled in situations where the device is required to
  provide power to the connected peripheral.

properties:
  compatible:
    enum:
      - qcom,pm8150b-vbus-reg

  reg:
    maxItems: 1
    description: VBUS output base address

required:
  - compatible

additionalProperties: false

examples:
  - |
     pm8150b {
        #address-cells = <1>;
        #size-cells = <0>;
        pm8150b_vbus: dcdc@1100 {
            compatible = "qcom,pm8150b-vbus-reg";
            reg = <0x1100>;
        };
     };
...
